package slides;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class Eccezioni {
	public static void main(String[] args) {
		InputStream in = null;
		OutputStream out = null;
		try {System.out.println(args);
			in = new FileInputStream(args[0]);
			out = new FileOutputStream(args[1]);
			System.out.println(out.toString());
			int c;
			while ((c = in.read()) != -1)
				out.write(c);
		} catch (ArrayIndexOutOfBoundsException ex) {
			System.out.println("not enough args");
		} catch (FileNotFoundException ex) {
			System.out.println("file not found");
			ex.printStackTrace();
		} catch (IOException ex) {
			System.out.println("I/O error");
		} finally {
			try {
				if (in != null)
					in.close();
				if (out != null)
					out.close();
			} catch (Exception ex) {
				ex.printStackTrace();
			}
		}
	}
}